Change log for ruby-pygments.rb package in Ubuntu

114 of 14 results
Published in groovy-release on 2020-05-12
Deleted in groovy-proposed (Reason: moved to Release)
ruby-pygments.rb (1.2.1-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * Add patch series for python3 port (Closes: #943257)
  * New upstream version 1.2.1
  * Refresh packaging files with dh-make-ruby
    - Refresh patches
  * Make lexers file (no longer shipped upstream) during build
  * Don't install doc/* (no longer shipped)
  * Drop patch to fiddle with the path to the lexers file.
    Now that we are using the rubygems layout, it's ok to look for it under
    "this package directory".
  * debian/rules: override the dh_compress options set by the `ruby` to avoid
    not compressing the changelogs
  * debian/rules; don't install vendor/ (it's not really used)
  * debian/copyright: exclude vendor/; import new upstream tarball without it.

 -- Antonio Terceiro <email address hidden>  Sun, 05 Apr 2020 10:46:14 -0300
Superseded in groovy-release on 2020-05-12
Published in focal-release on 2020-01-15
Deleted in focal-proposed (Reason: moved to Release)
ruby-pygments.rb (1.2.0-4ubuntu2) focal; urgency=medium

  * Drop the explicit dependency on python.
  * Use python2 in the build.

 -- Matthias Klose <email address hidden>  Tue, 14 Jan 2020 23:57:33 +0100
Superseded in focal-proposed on 2020-01-14
ruby-pygments.rb (1.2.0-4ubuntu1) focal; urgency=medium

  * Drop the explicit dependency on python.

 -- Matthias Klose <email address hidden>  Thu, 09 Jan 2020 16:54:47 +0100
Superseded in focal-release on 2020-01-15
Published in eoan-release on 2019-05-06
Deleted in eoan-proposed (Reason: moved to release)
ruby-pygments.rb (1.2.0-4) unstable; urgency=high

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Disable the test expecting a timeout (Closes: #928505)
  - Thanks to Santiago Vila <email address hidden>
  * set urgency=high due to fix RC bug.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden>  Mon, 06 May 2019 20:27:24 +0900

Available diffs

Superseded in eoan-release on 2019-05-06
Deleted in eoan-proposed on 2019-05-07 (Reason: moved to release)
ruby-pygments.rb (1.2.0-3) unstable; urgency=high

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/rules: Extend timeout for the test suite. (Closes: #923986)
  - Thanks to Santiago Vila <email address hidden>, Sergio Durigan Junior
    <email address hidden> and Chris Lamb <email address hidden>.
  * set urgency=high due to fix RC bug.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden>  Mon, 06 May 2019 10:01:37 +0900

Available diffs

Superseded in eoan-release on 2019-05-06
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2018-04-04
Deleted in bionic-proposed (Reason: moved to release)
ruby-pygments.rb (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/p/0009-Remove-rubygem-for-ruby2.5.patch:
    Remove rubygem for ruby2.5 (Closes: #893822)
  * eliminate lintian warning: insecure-copyright-format-uri
  * eliminate lintian warning: homepage-field-uses-insecure-uri
  * eliminate lintian warning: file-contains-trailing-whitespace
  * support autopkgtest
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <email address hidden>  Sat, 31 Mar 2018 11:11:58 +0900
Superseded in bionic-release on 2018-04-04
Deleted in bionic-proposed on 2018-04-05 (Reason: moved to release)
ruby-pygments.rb (1.2.0-1ubuntu1) bionic; urgency=medium

  * debian/patches/fix-rakefile.patch: Fix -r option in Rakefile.

 -- Daniel Watkins <email address hidden>  Fri, 09 Mar 2018 12:09:20 +0100
Superseded in bionic-release on 2018-03-15
Deleted in bionic-proposed on 2018-03-16 (Reason: moved to release)
ruby-pygments.rb (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2.0
  * Refresh patches
  * Add Set-reasonable-upper-limit-to-RLIMIT_NOFILE.patch to avoid closing too
    many files when mentos starts (Closes: #876768)
  * Bump Standards-Version to 4.1.0 (no changes needed)
  * Depend on ruby-multi-json

 -- Cédric Boutillier <email address hidden>  Fri, 29 Sep 2017 23:43:08 +0200

Available diffs

Superseded in bionic-release on 2017-11-12
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2020-07-10 (Reason: moved to release)
ruby-pygments.rb (0.6.3-2) unstable; urgency=medium

  * Team upload
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files
  * Add patch to work with pygments 2.1+ (Closes: #830400)
  * Bump Standards-Version to 3.9.8
  * Set Testsuite to autopkgtest-pkg-ruby
  * Amend 0001-Remove-gemspec-git-ls-files.patch to not use relative path to
    load the version number from gemspecs  
  * No relative path in the require statement of tests to allow autopkgtest

 -- Cédric Boutillier <email address hidden>  Fri, 08 Jul 2016 13:49:11 +0200

Available diffs

Superseded in yakkety-release on 2016-07-09
Published in xenial-release on 2016-03-13
Deleted in xenial-proposed (Reason: moved to release)
ruby-pygments.rb (0.6.3-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 0.6.3
  * Fix watch file to not use githubredir anymore
  * Bump Standards-Version to 3.9.7
  * Use https in Vcs-* fields
  * Refresh patches
  * Adapt pygments tests to new version (Closes: #812940)

 -- Cédric Boutillier <email address hidden>  Tue, 01 Mar 2016 18:28:48 +0100

Available diffs

Superseded in xenial-release on 2016-03-13
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
ruby-pygments.rb (0.5.4~ds1-3) unstable; urgency=medium


  * Team upload.
  * Reverted the previous upload completely, and acknowledged the NMU in
    0.5.4~ds1-1.1 by Tomasz Buchert (Closes: #768615).
  * Update debian/patches/0007-Update-test-result.patch to fix current FTBFS
    (and properly Closes: #775631).

 -- Antonio Terceiro <email address hidden>  Sat, 07 Feb 2015 13:17:48 -0200

Available diffs

Superseded in vivid-release on 2015-02-08
Deleted in vivid-proposed on 2015-02-09 (Reason: moved to release)
ruby-pygments.rb (0.5.4~ds1-2) unstable; urgency=medium


  * Team upload
  * fix tests (Closes: #775631):
    - test_highlight_works_with_larger_files: instead of testing for an exact
      amount of bytes, pass with there are more than 400,000 of them.
      (debian/patches/0007-Update-test-result.patch)
    - test_highlight_works_with_single_character_input: removed, since the
      underlying Python code does not support that use case.
      (debian/patches/0008-Drop-unfeasible-test.patch)

 -- Antonio Terceiro <email address hidden>  Wed, 04 Feb 2015 19:43:57 -0200

Available diffs

Superseded in vivid-release on 2015-02-05
Deleted in vivid-proposed on 2015-02-06 (Reason: moved to release)
ruby-pygments.rb (0.5.4~ds1-1.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Update the testsuite (Closes: #768615)

 -- Tomasz Buchert <email address hidden>  Sat, 22 Nov 2014 15:18:14 +0100

Available diffs

Superseded in vivid-release on 2014-11-27
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
ruby-pygments.rb (0.5.4~ds1-1) unstable; urgency=low


  * Initial release (Closes: #703188)

 -- Per Andersson <email address hidden>  Fri, 04 Apr 2014 03:44:10 +0200
114 of 14 results